Last Comment Bug 601099 - reference font used for reftest "load-badchecksum.html" is rejected by OTS sanitizer
: reference font used for reftest "load-badchecksum.html" is rejected by OTS sa...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
:
:
Mentors:
Depends on:
Blocks: CVE-2010-3768
  Show dependency treegraph
 
Reported: 2010-10-01 05:00 PDT by Jonathan Kew (:jfkthame)
Modified: 2010-11-17 11:42 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.13-fixed
.16-fixed


Attachments
patch, v1 - add proper padding to the VeraBd-validchecksum.ttf font file (46.01 KB, patch)
2010-10-01 15:49 PDT, Jonathan Kew (:jfkthame)
jd.bugzilla: review+
dveditz: approval1.9.2.13+
dveditz: approval1.9.1.16+
Details | Diff | Splinter Review

Description Jonathan Kew (:jfkthame) 2010-10-01 05:00:59 PDT
The "good" reference font VeraBd-validchecksum.ttf, used by layout/reftests/font-face/load-badchecksum.html, is rejected by the OTS sanitizer. According to Apple's (not-very-thorough) ftxvalidator tool, there's a problem with the 'name' table.

Because this reference font is rejected, the reftest no longer works as intended once the sanitizer is deployed.
Comment 1 Jonathan Kew (:jfkthame) 2010-10-01 15:48:26 PDT
This font is being rejected by the sanitizer because the final table in the font is not padded to a 4-byte boundary.
Comment 2 Jonathan Kew (:jfkthame) 2010-10-01 15:49:16 PDT
Created attachment 480278 [details] [diff] [review]
patch, v1 - add proper padding to the VeraBd-validchecksum.ttf font file
Comment 3 Jonathan Kew (:jfkthame) 2010-10-07 01:12:55 PDT
http://hg.mozilla.org/mozilla-central/rev/c1e91a637f57
Comment 4 Jonathan Kew (:jfkthame) 2010-11-01 11:23:01 PDT
Comment on attachment 480278 [details] [diff] [review]
patch, v1 - add proper padding to the VeraBd-validchecksum.ttf font file

Requesting approval for 1.9.2.13. This is a test-only patch, fixing an error in one of the test fonts we use; we need to fix this on branch, otherwise landing bug 527276 will lead to reftest failures because the incorrect font will no longer be loaded.
Comment 5 Daniel Veditz [:dveditz] 2010-11-03 10:29:46 PDT
Comment on attachment 480278 [details] [diff] [review]
patch, v1 - add proper padding to the VeraBd-validchecksum.ttf font file

Approved for 1.9.2.13, a=dveditz for release-drivers
Comment 6 Jonathan Kew (:jfkthame) 2010-11-04 06:24:33 PDT
Pushed to 1.9.2:
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/df5318538e6e
Comment 7 Jonathan Kew (:jfkthame) 2010-11-16 13:02:19 PST
Comment on attachment 480278 [details] [diff] [review]
patch, v1 - add proper padding to the VeraBd-validchecksum.ttf font file

Requesting approval to land on 1.9.1, so that we can take the OTS font sanitizer there.
Comment 8 Daniel Veditz [:dveditz] 2010-11-17 10:38:27 PST
Comment on attachment 480278 [details] [diff] [review]
patch, v1 - add proper padding to the VeraBd-validchecksum.ttf font file

Approved for 1.9.1.16, a=dveditz for release-drivers
Comment 9 Jonathan Kew (:jfkthame) 2010-11-17 11:42:41 PST
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/f404e712baaa

Note You need to log in before you can comment on or make changes to this bug.